aboutsummaryrefslogtreecommitdiff
path: root/external/miniupnpc/java/testjava.sh
diff options
context:
space:
mode:
authorAntonio Juarez <antonio.maria.juarez@live.com>2014-04-09 13:14:35 +0100
committerAntonio Juarez <antonio.maria.juarez@live.com>2014-04-09 13:14:35 +0100
commit9682a15400495ae490543e7e5af242ff5c4c9fa0 (patch)
tree63ba7287d8f679742a244413291d4334fc26b6e6 /external/miniupnpc/java/testjava.sh
parentImprovements in JSON RPC (diff)
downloadmonero-9682a15400495ae490543e7e5af242ff5c4c9fa0.tar.xz
Port mapping with UPnP
Diffstat (limited to 'external/miniupnpc/java/testjava.sh')
-rwxr-xr-xexternal/miniupnpc/java/testjava.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/external/miniupnpc/java/testjava.sh b/external/miniupnpc/java/testjava.sh
new file mode 100755
index 000000000..9880523a1
--- /dev/null
+++ b/external/miniupnpc/java/testjava.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+JAVA=java
+JAVAC=javac
+CP=$(for i in *.jar; do echo -n $i:; done).
+
+$JAVAC -cp $CP JavaBridgeTest.java || exit 1
+$JAVA -cp $CP JavaBridgeTest 12345 UDP || exit 1